const Discord = require('discord.js')

module.exports = {
    name: "kick",
    description: "kick command",

    async run (client, message, args) {
        if (!message.member.hasPermission("KICK_MEMBERS")) return message.reply("You cant use this command")

        const mentionMember = message.mentions.members.first();
        let reason = args.slice(1).join(" "); //.kick <args(0) aka @member> | <args(1) aka reason>
        if (!reason) reason = "No reason given";

        const kickembed = new Discord.MessageEmbed()
        .setTitle(`You were kicked from **${message.guild.name}**`)
        .setDescription(`Reason: ${reason}`)
        .setColor('#6f362d')
        .setTimestamp()
        .setFooter(client.user.tag, client.user.displayAvatarURL())

        if (!args[0]) return message.reply("You need to specify a user to kick");

        if(!mentionMember) return message.reply("This user is not a valid user / is no-longer in the server");

        if(!mentionMember.kickable) return message.reply("I was unable to kick this user");


        try {
            await mentionMember.send(kickembed);
        } catch (err) {

        }

        try {
            await mentionMember.kick(reason);
            message.reply("Successfully kicked: " + mentionMember.user.tag)
        } catch (err) {
            return message.reply("I was unabe to kick this user, Sorry...")
        }
    }
}